﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) TOI Tests
DATE:                  2011-02-07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       149
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        Sub FSU TOI Test /SWPG,UWSG
#
#  Required Files:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @TestFreq = "28 MHz"
  1.002  MATH         @SWPG_Freq = "27.95 MHz"; @SWPG_Ampl = "+6dBm"
  1.003  MATH         @UWSG_Freq = "28.05 MHz"; @UWSG_Ampl = "+6dBm"

  1.004  IF           ISVAR("@B25_On")
  1.005  MATH         M[1] = 23; @Nominal = 17
  1.006  ELSE
  1.007  MATH         M[1] = 18; @Nominal = 17
  1.008  ENDIF

  1.009  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.010  MATH         @TestFreq = "106 MHz"
  1.011  MATH         @SWPG_Freq = "105.95 MHz"; @UWSG_Freq = "106.05 MHz"
# Reset UUT to 500 kHz to circumvent error when enabling TOI marker function.
  1.012  SCPI         FREQ:SPAN 500E+3
  1.013  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.014  MATH         @TestFreq = "261 MHz"
  1.015  MATH         @SWPG_Freq = "260.95 MHz"; @UWSG_Freq = "261.05 MHz"
  1.016  SCPI         FREQ:SPAN 500E+3
  1.017  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.018  MATH         @TestFreq = "640 MHz"
  1.019  MATH         @SWPG_Freq = "639.95 MHz"; @UWSG_Freq = "640.05 MHz"

  1.020  IF           (FLD(@SerialNum, 2, "/") < 26) && NOT(ISVAR("@B25_On"))
  1.021  MATH         M[1] = 15; @Nominal = 20
  1.022  ELSEIF       (FLD(@SerialNum, 2, "/") > 8) && NOT(ISVAR("@B25_On"))
  1.023  MATH         M[1] = 13; @Nominal = 22
  1.024  ELSE
  1.025  MATH         M[1] = 20; @Nominal = 20
  1.026  ENDIF

  1.027  SCPI         FREQ:SPAN 500E+3
  1.028  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.029  MATH         @TestFreq = "1000 MHz"
  1.030  MATH         @SWPG_Freq = "999.95 MHz"; @UWSG_Freq = "1000.05 MHz"
  1.031  SCPI         FREQ:SPAN 500E+3
  1.032  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.033  MATH         @TestFreq = "1700 MHz"
  1.034  MATH         @SWPG_Freq = "1699.95 MHz"; @UWSG_Freq = "1700.05 MHz"
  1.035  SCPI         FREQ:SPAN 500E+3
  1.036  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.037  MATH         @TestFreq = "2500 MHz"
  1.038  MATH         @SWPG_Freq = "2499.95 MHz"; @UWSG_Freq = "2500.05 MHz"
  1.039  SCPI         FREQ:SPAN 500E+3
  1.040  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.041  MATH         @TestFreq = "2990 MHz"
  1.042  MATH         @SWPG_Freq = "2989.95 MHz"; @UWSG_Freq = "2990.05 MHz"
  1.043  SCPI         FREQ:SPAN 500E+3
  1.044  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.045  MATH         @TestFreq = "3590 MHz"
  1.046  MATH         @SWPG_Freq = "3589.95 MHz"; @UWSG_Freq = "3590.05 MHz"
  1.047  SCPI         FREQ:SPAN 500E+3
  1.048  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.049  IF           (FLD(@SerialNum, 2, "/") > 3) && NOT(ISVAR("@B25_On"))
  1.050  MATH         @TestFreq = "4100 MHz"
  1.051  MATH         @SWPG_Freq = "4099.95 MHz"; @UWSG_Freq = "4100.05 MHz"

  1.052  IF           (FLD(@SerialNum, 2, "/") < 26)
  1.053  MATH         M[1] = 17; @Nominal = 18
  1.054  ELSE
  1.055  MATH         M[1] = 23; @Nominal = 12
  1.056  ENDIF

  1.057  SCPI         FREQ:SPAN 500E+3
  1.058  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.059  MATH         @TestFreq = "5001 MHz"
  1.060  MATH         @SWPG_Freq = "5000.95 MHz"; @UWSG_Freq = "5001.05 MHz"
  1.061  SCPI         FREQ:SPAN 500E+3
  1.062  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.063  MATH         @TestFreq = "7990 MHz"
  1.064  MATH         @SWPG_Freq = "7989.95 MHz"; @UWSG_Freq = "7990.05 MHz"
  1.065  SCPI         FREQ:SPAN 500E+3
  1.066  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.067  IF           (FLD(@SerialNum, 2, "/") > 8)
  1.068  MATH         @TestFreq = "12000 MHz"
  1.069  MATH         @SWPG_Freq = "11999.95 MHz"; @UWSG_Freq = "12000.05 MHz"
  1.070  SCPI         FREQ:SPAN 500E+3
  1.071  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.072  MATH         @TestFreq = "20000 MHz"
  1.073  MATH         @SWPG_Freq = "19999.95 MHz"; @UWSG_Freq = "20000.05 MHz"
  1.074  SCPI         FREQ:SPAN 500E+3
  1.075  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.076  MATH         @TestFreq = "22000 MHz"
  1.077  MATH         @SWPG_Freq = "21999.95 MHz"; @UWSG_Freq = "22000.05 MHz"
  1.078  SCPI         FREQ:SPAN 500E+3
  1.079  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.080  MATH         @TestFreq = "24000 MHz"
  1.081  MATH         @SWPG_Freq = "23999.95 MHz"; @UWSG_Freq = "24000.05 MHz"
  1.082  SCPI         FREQ:SPAN 500E+3
  1.083  CALL         Sub FSU TOI Test /SWPG,UWSG

  1.084  MATH         @TestFreq = "26000 MHz"
  1.085  MATH         @SWPG_Freq = "25999.95 MHz"; @UWSG_Freq = "26000.05 MHz"
  1.086  SCPI         FREQ:SPAN 500E+3
  1.087  CALL         Sub FSU TOI Test /SWPG,UWSG
  1.088  ENDIF        ; (FLD(@SerialNum, 2, "/") > 8)

  1.089  ENDIF        ; (FLD(@SerialNum, 2, "/") > 3) && NOT(ISVAR("@B25_On"))

  1.090  END
