﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU (1 yr) µW Frequency Response VER /4419,SWPG
DATE:                  2011-03-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       10
NUMBER OF LINES:       364
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8485A on channel 1
CONFIGURATION:         HP 83630B
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        FSU8, FSU26
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#        Sub Apply /SWPG
#        Sub FSU Take Sweep (MKPK)
#        Sub Level Signal /4419,8485,SWPG
#        Sub FSU µW Frequency Response Tests
#
#  Required Files:
#        fsu_freq_resp_hookup_swpg.jpg
#
#  Flexible Standard(s) Required:
#        Synthesized Sweep Generator (SWPG):
#          Frequency Range: 10 MHz to 26.5 GHz, CW
#            Accuracy: Locked to 10 MHz External Reference (UUT)
#
#          Amplitude Range: -10 to +6 dBm
#            Accuracy: ±2 dB
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, 10 MHz to 26.5 GHz, APC 3.5, HP/Agilent
#          11667B or equivalent
#        Adapter, APC 3.5 (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#        Cable, coaxial, APC 3.5 (f)-(m), 50 Ohms, 36"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#  In the following tests, reference accuracy is computed as follows:
#  Worst case, k = 2, based on power meter instrumentation accuracy and zero
#  set uncertainty, power meter/sensor drift, power sensor cal factor
#  uncertainty, power sensor/splitter and splitter/UUT mismatch uncertainties,
#  and power splitter tracking error (port to port). The rss combination of
#  the uncertainties at both the reference frequency and the frequency of
#  interest are used. All values used in the above calculations were taken
#  from manufacturer's published specification and are, therefore, worst case.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@SWPG]
  1.003  M4419  F64   8485A
  1.004  ENDIF

  1.005  RSLT         =
  1.006  HEAD         {FREQUENCY RESPONSE, > 3.6 GHz}
  1.007  RSLT         =
  1.008  RSLT         =RF Attenuation: 10 dB
  1.009  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.010  TARGET       -p
  1.011  MATH         @Error = 0
  1.012  PIC          fsu_freq_resp_hookup_swpg.jpg

  1.013  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.013  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.014  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 10 dB
  1.015  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.016  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  1.017  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS;*WAI
  1.018  SCPI         BAND:RES 10E+3;:INP:COUP DC
  1.019  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  1.020  CALL         Sub Apply /SWPG
  1.021  CALL         Sub FSU Take Sweep (MKPK)
  1.022  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  1.023  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  1.024  MATH         @TestName = "10 dB Ref Set (µW)"
  1.025  CALL         Sub Level Signal /4419,8485,SWPG

  1.026  IF           @Error
  1.027  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @RefPower       = MEM
  2.005  MATH         @DevName1       = "Agilent E4419B"
  2.006  MATH         @SensorAccMode  = "Watts 100mW F64"
  2.007  MATH         @SensorSWR_Mode = "SWR 8485A"
  2.008  MATH         @DevName2       = "Agilent 11667B"
  2.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  2.010  MATH         @SpltrTrackMode = "Tracking"
  2.011  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  2.012  CALL         Sub Compute Power Splitter Leveling Uncertainty
  2.013  MATH         @RefUncPct = @LevelUncPct
  2.014  CALL         Sub FSU Take Sweep (MKPK)
  2.015  SCPI         CALC:MARK:Y?[I]
  2.016  MATH         @PreampOn = 0; @RefLvl = MEM
  2.017  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  2.018  MATH         @Atten = 10
  2.019  MATH         @AttenType = "RF Attenuation"
  2.020  CALL         Sub FSU µW Frequency Response Tests

  2.021  RSLT         =
  2.022  RSLT         =RF Attenuation: 15 dB
  2.023  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 15 dB
  2.024  SCPI         FREQ:CENT 128E+6;:INP:ATT 15 DB
  2.025  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  2.026  CALL         Sub Apply /SWPG
  2.027  CALL         Sub FSU Take Sweep (MKPK)
  2.028  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  2.029  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  2.030  MATH         @TestName = "15 dB Ref Set (µW)"
  2.031  CALL         Sub Level Signal /4419,8485,SWPG

  2.032  IF           @Error
  2.033  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  3.001  MATH         @Error = 0
  3.002  END
  3.003  ENDIF

  3.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  3.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  3.006  MATH         @RefUncPct = @LevelUncPct
  3.007  CALL         Sub FSU Take Sweep (MKPK)
  3.008  SCPI         CALC:MARK:Y?[I]
  3.009  MATH         @RefLvl = MEM; @Atten = 15
  3.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  3.011  CALL         Sub FSU µW Frequency Response Tests

  3.012  RSLT         =
  3.013  RSLT         =RF Attenuation: 20 dB
  3.014  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 20 dB
  3.015  SCPI         FREQ:CENT 128E+6;:INP:ATT 20 DB
  3.016  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  3.017  CALL         Sub Apply /SWPG
  3.018  CALL         Sub FSU Take Sweep (MKPK)
  3.019  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  3.020  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  3.021  MATH         @TestName = "20 dB Ref Set (µW)"
  3.022  CALL         Sub Level Signal /4419,8485,SWPG

  3.023  IF           @Error
  3.024  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  4.001  MATH         @Error = 0
  4.002  END
  4.003  ENDIF

  4.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  4.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  4.006  MATH         @RefUncPct = @LevelUncPct
  4.007  CALL         Sub FSU Take Sweep (MKPK)
  4.008  SCPI         CALC:MARK:Y?[I]
  4.009  MATH         @RefLvl = MEM; @Atten = 20
  4.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  4.011  CALL         Sub FSU µW Frequency Response Tests

  4.012  RSLT         =
  4.013  RSLT         =RF Attenuation: 40 dB
  4.014  HEAD         -2 Reference Set: 128 MHz, RF Attenuation: 40 dB
  4.015  SCPI         FREQ:CENT 128E+6;:INP:ATT 40 DB
  4.016  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  4.017  CALL         Sub Apply /SWPG
  4.018  CALL         Sub FSU Take Sweep (MKPK)
  4.019  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  4.020  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  4.021  MATH         @TestName = "40 dB Ref Set (µW)"
  4.022  CALL         Sub Level Signal /4419,8485,SWPG

  4.023  IF           @Error
  4.024  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  5.001  MATH         @Error = 0
  5.002  END
  5.003  ENDIF

  5.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  5.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  5.006  MATH         @RefUncPct = @LevelUncPct
  5.007  CALL         Sub FSU Take Sweep (MKPK)
  5.008  SCPI         CALC:MARK:Y?[I]
  5.009  MATH         @RefLvl = MEM; @Atten = 40
  5.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  5.011  CALL         Sub FSU µW Frequency Response Tests


  5.012  IF           @FSU8 && @Opt_B25
  5.013  RSLT         =
  5.014  HEAD         {FREQUENCY RESPONSE, > 3.6 GHz (Option FSU-B25)}
  5.015  RSLT         =
  5.016  RSLT         =Electronic Attenuator: 0 dB
  5.017  TARGET       -p
  5.018  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 0 dB
  5.019  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  5.020  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  5.021  SCPI         INP:EATT 0 DB;EATT:STAT ON;:DET:FUNC RMS
  5.022  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:BAND:RES 10E+3
  5.023  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  5.024  CALL         Sub Apply /SWPG
  5.025  CALL         Sub FSU Take Sweep (MKPK)
  5.026  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  5.027  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  5.028  MATH         @TestName = "B25 0 dB Ref Set (µW)"
  5.029  CALL         Sub Level Signal /4419,8485,SWPG

  5.030  IF           @Error
  5.031  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  6.001  MATH         @Error = 0
  6.002  END
  6.003  ENDIF

  6.004  MATH         @RefPower = MEM; @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  6.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  6.006  MATH         @RefUncPct = @LevelUncPct
  6.007  CALL         Sub FSU Take Sweep (MKPK)
  6.008  SCPI         CALC:MARK:Y?[I]
  6.009  MATH         @B25_On = 1; @RefLvl = MEM; @Atten = 0
  6.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  6.011  MATH         @AttenType = "Electronic Attenuator"
  6.012  CALL         Sub FSU µW Frequency Response Tests

  6.013  RSLT         =
  6.014  RSLT         =Electronic Attenuator: 5 dB
  6.015  TARGET       -p
  6.016  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 5 dB
  6.017  SCPI         FREQ:CENT 128E+6;:INP:EATT 5 DB
  6.018  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  6.019  CALL         Sub Apply /SWPG
  6.020  CALL         Sub FSU Take Sweep (MKPK)
  6.021  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  6.022  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  6.023  MATH         @TestName = "B25 5 dB Ref Set (µW)"
  6.024  CALL         Sub Level Signal /4419,8485,SWPG

  6.025  IF           @Error
  6.026  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  7.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  7.006  MATH         @RefUncPct = @LevelUncPct
  7.007  CALL         Sub FSU Take Sweep (MKPK)
  7.008  SCPI         CALC:MARK:Y?[I]
  7.009  MATH         @RefLvl = MEM; @Atten = 5
  7.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  7.011  CALL         Sub FSU µW Frequency Response Tests

  7.012  RSLT         =
  7.013  RSLT         =Electronic Attenuator: 10 dB
  7.014  TARGET       -p
  7.015  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 10 dB
  7.016  SCPI         FREQ:CENT 128E+6;:INP:EATT 10 DB
  7.017  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  7.018  CALL         Sub Apply /SWPG
  7.019  CALL         Sub FSU Take Sweep (MKPK)
  7.020  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  7.021  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  7.022  MATH         @TestName = "B25 10 dB Ref Set (µW)"
  7.023  CALL         Sub Level Signal /4419,8485,SWPG

  7.024  IF           @Error
  7.025  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  8.001  MATH         @Error = 0
  8.002  END
  8.003  ENDIF

  8.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  8.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  8.006  MATH         @RefUncPct = @LevelUncPct
  8.007  CALL         Sub FSU Take Sweep (MKPK)
  8.008  SCPI         CALC:MARK:Y?[I]
  8.009  MATH         @RefLvl = MEM; @Atten = 10
  8.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  8.011  CALL         Sub FSU µW Frequency Response Tests

  8.012  RSLT         =
  8.013  RSLT         =Electronic Attenuator: 15 dB
  8.014  TARGET       -p
  8.015  HEAD         -2 Reference Set: 128 MHz, Electronic Attenuator: 15 dB
  8.016  SCPI         FREQ:CENT 128E+6;:INP:EATT 15 DB
  8.017  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  8.018  CALL         Sub Apply /SWPG
  8.019  CALL         Sub FSU Take Sweep (MKPK)
  8.020  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  8.021  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  8.022  MATH         @TestName = "B25 15 dB Ref Set (µW)"
  8.023  CALL         Sub Level Signal /4419,8485,SWPG

  8.024  IF           @Error
  8.025  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  9.001  MATH         @Error = 0
  9.002  END
  9.003  ENDIF

  9.004  MATH         @TestFreq = @CenterFreq; @UUT_SWR = 1.5
  9.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
  9.006  MATH         @RefUncPct = @LevelUncPct
  9.007  CALL         Sub FSU Take Sweep (MKPK)
  9.008  SCPI         CALC:MARK:Y?[I]
  9.009  MATH         @RefLvl = MEM; @Atten = 15
  9.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
  9.011  CALL         Sub FSU µW Frequency Response Tests
  9.012  MATH         DEL("@B25_On")
  9.013  ENDIF

  9.014  IF           @Opt_B23
  9.015  RSLT         =
  9.016  HEAD         {FREQUENCY RESPONSE, > 3.6 GHz (Option FSU-B23)}
  9.017  TARGET       -p
  9.018  HEAD         -2 Reference Set: 128 MHz, Preamp On
  9.019  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  9.020  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y 100 DB;Y:RLEV 0;SPAC LOG
  9.021  SCPI         FREQ:CENT 128E+6;SPAN 100E+3;:DET:FUNC RMS
  9.022  SCPI         BAND:RES 10E+3;:INP:COUP DC;GAIN:STAT ON
  9.023  MATH         @SWPG_Freq = "128MHz"; @SWPG_Ampl = "0dBm"
  9.024  CALL         Sub Apply /SWPG
  9.025  CALL         Sub FSU Take Sweep (MKPK)
  9.026  MATH         @CenterFreq = 128E+6; @RefLvl = -6; @TestLvl = 0
  9.027  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  9.028  MATH         @TestName = "B23 Frequency Response"
  9.029  CALL         Sub Level Signal /4419,8485,SWPG

  9.030  IF           @Error
  9.031  EVAL   -e 0 : An error occurred during the [V @TestName] test.
 10.001  MATH         @Error = 0
 10.002  END
 10.003  ENDIF

 10.004  MATH         @RefPower = MEM; @TestFreq = @CenterFreq; @UUT_SWR = 1.5
 10.005  CALL         Sub Compute Power Splitter Leveling Uncertainty
 10.006  MATH         @RefUncPct = @LevelUncPct
 10.007  CALL         Sub FSU Take Sweep (MKPK)
 10.008  SCPI         CALC:MARK:Y?[I]
 10.009  MATH         @PreampOn = 1; @RefLvl = MEM; @Atten = 10
 10.010  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02
 10.011  MATH         @AttenType = "RF Attenuation"
 10.012  CALL         Sub FSU µW Frequency Response Tests
 10.013  ENDIF

 10.014  HEAD         -2
 10.015  CALL         Sub Initialize /SWPG
 10.016  CALL         Sub Reset /SWPG
 10.017  SCPI         SYST:PRES
 10.018  HEAD
 10.019  END
