﻿© Fluke Corporation. All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSU µW Frequency Response Tests
DATE:                  2011-03-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       159
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSU series > 3.6 GHz, <= 26.5 GHz
#
#  Compatibility:
#        MET/CAL 7.3.26 or later
#
#  Subprocedures:
#        Sub FSU µW Frequency Response Test /4419,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @TestFreq = 3.61E+9
# 1.002  CALL         Sub FSU µW Frequency Response Test /4419,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @FSU8
  1.002  MATH         @UUT_SWR = 2
  1.003  ELSE
  1.004  MATH         @UUT_SWR = 1.8
  1.005  ENDIF

  1.006  IF           @PreampOn
  1.007  MATH         @TestFreq = 3.601E+9
  1.008  TOL          2.000U
  1.009  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.010  ELSE

  1.011  MATH         @TestFreq = 3.61E+9

  1.012  IF           @FSU8 && ISVAR("@B25_On")
  1.013  TOL          2.000U
  1.014  ELSE
  1.015  TOL          1.500U
  1.016  ENDIF

  1.017  CALL         Sub FSU µW Frequency Response Test /4419,SWPG
  1.018  ENDIF

  1.019  MATH         @TestFreq = 4E+9
  1.020  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.021  MATH         @TestFreq = 4.5E+9
  1.022  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.023  MATH         @TestFreq = 5E+9
  1.024  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.025  MATH         @TestFreq = 5.5E+9
  1.026  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.027  MATH         @TestFreq = 6E+9
  1.028  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.029  MATH         @TestFreq = 6.5E+9
  1.030  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.031  MATH         @TestFreq = 7E+9
  1.032  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.033  MATH         @TestFreq = 7.99E+9
  1.034  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.035  IF           @FSU26

  1.036  IF           @PreampOn
  1.037  TOL          2.500U
  1.038  ELSE
  1.039  TOL          2.000U
  1.040  ENDIF

  1.041  MATH         @TestFreq = 9E+9
  1.042  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.043  MATH         @TestFreq = 10E+9
  1.044  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.045  MATH         @TestFreq = 11E+9
  1.046  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.047  MATH         @TestFreq = 12E+9
  1.048  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.049  MATH         @TestFreq = 13E+9
  1.050  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.051  MATH         @TestFreq = 14E+9
  1.052  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.053  MATH         @TestFreq = 15E+9
  1.054  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.055  MATH         @TestFreq = 16E+9
  1.056  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.057  MATH         @TestFreq = 17E+9
  1.058  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.059  MATH         @TestFreq = 18E+9; @UUT_SWR = 2.0
  1.060  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.061  MATH         @TestFreq = 19E+9
  1.062  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.063  MATH         @TestFreq = 20E+9
  1.064  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.065  MATH         @TestFreq = 21E+9
  1.066  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.067  MATH         @TestFreq = 22E+9
  1.068  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.069  IF           @PreampOn
  1.070  TOL          3.000U
  1.071  ELSE
  1.072  TOL          2.500U
  1.073  ENDIF

  1.074  MATH         @TestFreq = 23E+9
  1.075  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.076  MATH         @TestFreq = 24E+9
  1.077  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.078  MATH         @TestFreq = 25E+9
  1.079  CALL         Sub FSU µW Frequency Response Test /4419,SWPG

  1.080  MATH         @TestFreq = 26E+9
  1.081  CALL         Sub FSU µW Frequency Response Test /4419,SWPG
  1.082  ENDIF        ; @FSU26

  1.083  END
